Liblinphone: linphone::PresencePerson Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::PresencePerson Class Reference

Presence person holding information about a presence person. More...

`#include <presence_person.hh>`

Inheritance diagram for linphone::PresencePerson:

## Public Member Functions
| PresencePerson (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePresencePerson * | cPtr ()
LINPHONECXX_PUBLIC std::string | getId () const
| Gets the id of a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | setId (const std::string &id)
| Sets the id of a presence person. More...
LINPHONECXX_PUBLIC unsigned int | getNbActivities () const
| Gets the number of activities included in the presence person. More...
LINPHONECXX_PUBLIC unsigned int | getNbActivitiesNotes () const
| Gets the number of activities notes included in the presence person. More...
LINPHONECXX_PUBLIC unsigned int | getNbNotes () const
| Gets the number of notes included in the presence person. More...
LINPHONECXX_PUBLIC linphone::Status | addActivitiesNote (const std::shared_ptr< linphone::PresenceNote > &note)
| Adds an activities note to a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | addActivity (const std::shared_ptr< linphone::PresenceActivity > &activity)
| Adds an activity to a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | addNote (const std::shared_ptr< linphone::PresenceNote > &note)
| Adds a note to a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | clearActivities ()
| Clears the activities of a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | clearActivitiesNotes ()
| Clears the activities notes of a presence person. More...
LINPHONECXX_PUBLIC linphone::Status | clearNotes ()
| Clears the notes of a presence person. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::PresenceNote > | getNthActivitiesNote (unsigned int index) const
| Gets the nth activities note of a presence person. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::PresenceActivity > | getNthActivity (unsigned int index) const
| Gets the nth activity of a presence person. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::PresenceNote > | getNthNote (unsigned int index) const
| Gets the nth note of a presence person. More...

## Detailed Description

Presence person holding information about a presence person.

## Member Function Documentation

## ◆ addActivitiesNote()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::addActivitiesNote | ( | const std::shared_ptr< linphone::PresenceNote > & | note | ) |

Adds an activities note to a presence person.

Parameters

  note | The PresenceNote object to add to the person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ addActivity()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::addActivity | ( | const std::shared_ptr< linphone::PresenceActivity > & | activity | ) |

Adds an activity to a presence person.

Parameters

  activity | The PresenceActivity object to add to the person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ addNote()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::addNote | ( | const std::shared_ptr< linphone::PresenceNote > & | note | ) |

Adds a note to a presence person.

Parameters

  note | The PresenceNote object to add to the person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ clearActivities()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::clearActivities | ( |  | ) |

Clears the activities of a presence person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ clearActivitiesNotes()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::clearActivitiesNotes | ( |  | ) |

Clears the activities notes of a presence person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ clearNotes()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::clearNotes | ( |  | ) |

Clears the notes of a presence person.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ getId()

LINPHONECXX_PUBLIC std::string linphone::PresencePerson::getId | ( |  | ) | const

Gets the id of a presence person.

Returns
  A pointer to a dynamically allocated string containing the id, or nullptr in case of error.
  The returned string is to be freed by calling ms_free().

## ◆ getNbActivities()

LINPHONECXX_PUBLIC unsigned int linphone::PresencePerson::getNbActivities | ( |  | ) | const

Gets the number of activities included in the presence person.

Returns
  The number of activities included in the PresencePerson object.

## ◆ getNbActivitiesNotes()

LINPHONECXX_PUBLIC unsigned int linphone::PresencePerson::getNbActivitiesNotes | ( |  | ) | const

Gets the number of activities notes included in the presence person.

Returns
  The number of activities notes included in the PresencePerson object.

## ◆ getNbNotes()

LINPHONECXX_PUBLIC unsigned int linphone::PresencePerson::getNbNotes | ( |  | ) | const

Gets the number of notes included in the presence person.

Returns
  The number of notes included in the PresencePerson object.

## ◆ getNthActivitiesNote()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::PresenceNote> linphone::PresencePerson::getNthActivitiesNote | ( | unsigned int | index | ) | const

Gets the nth activities note of a presence person.

Parameters

  index | The index of the activities note to get (the first note having the index 0).

Returns
  A pointer to a PresenceNote object if successful, nullptr otherwise.

## ◆ getNthActivity()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::PresenceActivity> linphone::PresencePerson::getNthActivity | ( | unsigned int | index | ) | const

Gets the nth activity of a presence person.

Parameters

  index | The index of the activity to get (the first activity having the index 0).

Returns
  A pointer to a PresenceActivity object if successful, nullptr otherwise.

## ◆ getNthNote()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::PresenceNote> linphone::PresencePerson::getNthNote | ( | unsigned int | index | ) | const

Gets the nth note of a presence person.

Parameters

  index | The index of the note to get (the first note having the index 0).

Returns
  A pointer to a PresenceNote object if successful, nullptr otherwise.

## ◆ setId()

LINPHONECXX_PUBLIC linphone::Status linphone::PresencePerson::setId | ( | const std::string & | id | ) |

Sets the id of a presence person.

Parameters

  id | The id string to set. Can be nullptr to generate it automatically.

Returns
  0 if successful, a value < 0 in case of error.

The documentation for this class was generated from the following file:

- presence_person.hh